Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
todoview.php File Reference

Go to the source code of this file.

## Variables
| $ini = eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZTodoMain", "Language" )
| $lanugageIni = new eZINI( "kernel/eztodo/user/intl/" . $Language . "/todoview.php.ini", false )
| $locale = new eZLocale( $Language )
| $t
| $todo = new eZTodo()
if( $todo->IsPublic()) | else
| $logs = $todo->logs()
if(is_array( $logs) &&count( $logs) > 0) | $owner = new eZUser( $todo->ownerID() )
| $category = new eZCategory()
| $category_array =& $category->getAll()
for( $i=0; $i< count( $category_array); $i++) | $priority = new eZPriority()
| $priority_array =& $priority->getAll()
for( $i=0; $i< count( $priority_array); $i++) | $status = new eZStatus()
| $status_array =& $status->getAll()
for( $i=0; $i< count( $status_array); $i++) | $due = $todo->due()
| $user = new eZUser( $todo->userID() )

## Variable Documentation

## ◆ $category

$category = new eZCategory()

Definition at line 110 of file todoview.php.

## ◆ $category_array

$category_array =& $category->getAll()

Definition at line 111 of file todoview.php.

## ◆ $due

for ($i=0;$i< count($status_array);$i++) $due | ( |  | ) | = $todo->due()

Definition at line 158 of file todoview.php.

Referenced by eZTodo\store().

## ◆ $ini

$ini = eZINI::instance( 'site.ini' )

Definition at line 31 of file todoview.php.

## ◆ $Language

$Language = $ini->variable( "eZTodoMain", "Language" )

Definition at line 32 of file todoview.php.

## ◆ $lanugageIni

$lanugageIni = new eZINI( "kernel/eztodo/user/intl/" . $Language . "/todoview.php.ini", false )

Definition at line 34 of file todoview.php.

## ◆ $locale

$locale = new eZLocale( $Language )

Definition at line 47 of file todoview.php.

## ◆ $logs

$logs = $todo->logs()

Definition at line 92 of file todoview.php.

## ◆ $owner

if (is_array($logs) &&count($logs) > 0) $owner = new eZUser( $todo->ownerID() )

Definition at line 106 of file todoview.php.

## ◆ $priority

for ($i=0;$i< count($category_array);$i++) $priority | ( |  | ) | = new eZPriority()

Definition at line 126 of file todoview.php.

## ◆ $priority_array

$priority_array =& $priority->getAll()

Definition at line 127 of file todoview.php.

## ◆ $status

for ($i=0;$i< count($priority_array);$i++) $status | ( |  | ) | = new eZStatus()

Definition at line 142 of file todoview.php.

## ◆ $status_array

$status_array =& $status->getAll()

Definition at line 143 of file todoview.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/eztodo/user/" . $ini->variable( "eZTodoMain", "TemplateDir" ),
"kernel/eztodo/user/intl", $Language, "todoview.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: todoview.php:32
$ini
$ini
Definition: todoview.php:31

Definition at line 50 of file todoview.php.

## ◆ $todo

$todo = new eZTodo()

Definition at line 74 of file todoview.php.

## ◆ $user

$user = new eZUser( $todo->userID() )

Definition at line 172 of file todoview.php.

## ◆ else

if ($due) else

Initial value:
{
$t->set_var( "todo_is_private", "" )
$t
$t
Definition: todoview.php:50

Definition at line 82 of file todoview.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.